<?php
/**
 * Smarty plugin
 *
 * @package    Smarty
 * @subpackage plugins
 */

/**
 * Smarty regex_match modifier plugin
 *
 * Type:    modifier
 * Name:    hkana
 * Purpose: Zenkaku Kana or Zenkaku Alphabet --> Hankaku
 *
 * @link   http://32877.xii.jp
 * @author mitsu <mitsu at 32877 dot xii dot jp>
 * @param  string
 * @param  string|array
 * @return boolean
 */
function smarty_modifier_hkana($string, $char_set = 'UTF-8')
{
  return mb_convert_kana($string, "ka", $char_set);
}
?>
